add_subdirectory(storage)
add_subdirectory(ontologyloader)
add_subdirectory(migration1)
add_subdirectory(filewatch)
add_subdirectory(queryservice)
if(HAVE_STRIGI_SOPRANO_BACKEND)
  macro_optional_add_subdirectory(strigi)
endif(HAVE_STRIGI_SOPRANO_BACKEND)
